/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenebatchlogPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "PROCESSDATE")
    @Temporal(TemporalType.TIMESTAMP)
    private Date processdate;
    @Basic(optional = false)
    @Column(name = "JOURNALID")
    private String journalid;
    @Basic(optional = false)
    @Column(name = "MODULECODE")
    private String modulecode;

    public TgenebatchlogPK() {
    }

    public TgenebatchlogPK(Date processdate, String journalid, String modulecode) {
        this.processdate = processdate;
        this.journalid = journalid;
        this.modulecode = modulecode;
    }

    public Date getProcessdate() {
        return processdate;
    }

    public void setProcessdate(Date processdate) {
        this.processdate = processdate;
    }

    public String getJournalid() {
        return journalid;
    }

    public void setJournalid(String journalid) {
        this.journalid = journalid;
    }

    public String getModulecode() {
        return modulecode;
    }

    public void setModulecode(String modulecode) {
        this.modulecode = modulecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (processdate != null ? processdate.hashCode() : 0);
        hash += (journalid != null ? journalid.hashCode() : 0);
        hash += (modulecode != null ? modulecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenebatchlogPK)) {
            return false;
        }
        TgenebatchlogPK other = (TgenebatchlogPK) object;
        if ((this.processdate == null && other.processdate != null) || (this.processdate != null && !this.processdate.equals(other.processdate))) {
            return false;
        }
        if ((this.journalid == null && other.journalid != null) || (this.journalid != null && !this.journalid.equals(other.journalid))) {
            return false;
        }
        if ((this.modulecode == null && other.modulecode != null) || (this.modulecode != null && !this.modulecode.equals(other.modulecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenebatchlogPK[ processdate=" + processdate + ", journalid=" + journalid + ", modulecode=" + modulecode + " ]";
    }
    
}
